<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
<!ENTITY version SYSTEM "version.xml">
]>
<refentry id="milter-manager-MilterManagerControlReplyDecoder">
<refmeta>
<refentrytitle role="top_of_page" id="milter-manager-MilterManagerControlReplyDecoder.top_of_page">MilterManagerControlReplyDecoder</refentrytitle>
<manvolnum>3</manvolnum>
<refmiscinfo>milter managerライブラリ</refmiscinfo>
</refmeta>
<refnamediv>
<refname>MilterManagerControlReplyDecoder</refname>
<refpurpose/>
</refnamediv>

<refsynopsisdiv id="milter-manager-MilterManagerControlReplyDecoder.synopsis" role="synopsis">
<title role="synopsis.title">概要</title>

<synopsis>#define             <link linkend="MILTER-MANAGER-CONTROL-REPLY-DECODER-ERROR:CAPS">MILTER_MANAGER_CONTROL_REPLY_DECODER_ERROR</link>
#define             <link linkend="MILTER-MANAGER-CONTROL-REPLY-DECODER:CAPS">MILTER_MANAGER_CONTROL_REPLY_DECODER</link>(obj)
enum                <link linkend="MilterManagerControlReplyDecoderError">MilterManagerControlReplyDecoderError</link>;
                    <link linkend="MilterManagerControlReplyDecoder">MilterManagerControlReplyDecoder</link>;
<link linkend="GQuark"><returnvalue>GQuark</returnvalue></link>              <link linkend="milter-manager-control-reply-decoder-error-quark">milter_manager_control_reply_decoder_error_quark</link>
                                                        (void);
<link linkend="MilterDecoder"><returnvalue>MilterDecoder</returnvalue></link> *     <link linkend="milter-manager-control-reply-decoder-new">milter_manager_control_reply_decoder_new</link>
                                                        (void);
</synopsis>
</refsynopsisdiv>

<refsect1 id="milter-manager-MilterManagerControlReplyDecoder.description" role="desc">
<title role="desc.title">説明</title>
<para>
</para>
</refsect1>
<refsect1 id="milter-manager-MilterManagerControlReplyDecoder.details" role="details">
<title role="details.title">詳細</title>
<refsect2 id="MILTER-MANAGER-CONTROL-REPLY-DECODER-ERROR:CAPS" role="macro">
<title>MILTER_MANAGER_CONTROL_REPLY_DECODER_ERROR</title>
<indexterm zone="MILTER-MANAGER-CONTROL-REPLY-DECODER-ERROR:CAPS"><primary>MILTER_MANAGER_CONTROL_REPLY_DECODER_ERROR</primary></indexterm>
<programlisting>#define MILTER_MANAGER_CONTROL_REPLY_DECODER_ERROR           (milter_manager_control_reply_decoder_error_quark())
</programlisting>
<para>
</para></refsect2>
<refsect2 id="MILTER-MANAGER-CONTROL-REPLY-DECODER:CAPS" role="macro">
<title>MILTER_MANAGER_CONTROL_REPLY_DECODER()</title>
<indexterm zone="MILTER-MANAGER-CONTROL-REPLY-DECODER:CAPS"><primary>MILTER_MANAGER_CONTROL_REPLY_DECODER</primary></indexterm>
<programlisting>#define MILTER_MANAGER_CONTROL_REPLY_DECODER(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), MILTER_TYPE_MANAGER_CONTROL_REPLY_DECODER, MilterManagerControlReplyDecoder))
</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>obj</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="MilterManagerControlReplyDecoderError" role="enum">
<title>enum MilterManagerControlReplyDecoderError</title>
<indexterm zone="MilterManagerControlReplyDecoderError"><primary>MilterManagerControlReplyDecoderError</primary></indexterm>
<programlisting>typedef enum
{
    MILTER_MANAGER_CONTROL_REPLY_DECODER_ERROR_UNEXPECTED_REPLY
} MilterManagerControlReplyDecoderError;
</programlisting>
<para>
</para></refsect2>
<refsect2 id="MilterManagerControlReplyDecoder" role="struct">
<title>MilterManagerControlReplyDecoder</title>
<indexterm zone="MilterManagerControlReplyDecoder"><primary>MilterManagerControlReplyDecoder</primary></indexterm>
<programlisting>typedef struct {
    MilterManagerReplyDecoder object;
} MilterManagerControlReplyDecoder;
</programlisting>
<para>
</para></refsect2>
<refsect2 id="milter-manager-control-reply-decoder-error-quark" role="function">
<title>milter_manager_control_reply_decoder_error_quark ()</title>
<indexterm zone="milter-manager-control-reply-decoder-error-quark"><primary>milter_manager_control_reply_decoder_error_quark</primary></indexterm>
<programlisting><link linkend="GQuark"><returnvalue>GQuark</returnvalue></link>              milter_manager_control_reply_decoder_error_quark
                                                        (void);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-control-reply-decoder-new" role="function">
<title>milter_manager_control_reply_decoder_new ()</title>
<indexterm zone="milter-manager-control-reply-decoder-new"><primary>milter_manager_control_reply_decoder_new</primary></indexterm>
<programlisting><link linkend="MilterDecoder"><returnvalue>MilterDecoder</returnvalue></link> *     milter_manager_control_reply_decoder_new
                                                        (void);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>

</refsect1>

</refentry>
